%define 	majorver 8.5
%define 	vers %{majorver}.3

Summary: 	The graphical toolkit for the Tcl scripting language
Name: 		tk
Version: 	%{vers}
Release: 	1
License: 	TCL
Group:		Libraries
URL: 		http://tcl.sourceforge.net
Source0: 	http://download.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	tcl-devel
Patch1: 	tk8.5-make.patch
Patch2: 	tk8.5-conf.patch
Patch3: 	genericevent.patch

%description
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

%package 	devel
Summary: 	Tk graphical toolkit development files
Group: 		Development

%description 	devel
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

The package contains the development files and man pages for tk.

%prep
%setup -n %{name}%{version} -q
%patch1 -p1 -b .make
%patch2 -p1 -b .conf
%patch3 -p1 -b .crash1

%build
cd unix
autoconf
%configure
make TK_LIBRARY=%{_datadir}/%{name}%{majorver};#make test

%install
rm -rf %{buildroot}
make install -C unix INSTALL_ROOT=%{buildroot} TK_LIBRARY=%{_datadir}/%{name}%{majorver}

ln -s wish%{majorver} %{buildroot}%{_bindir}/wish

# for linking with -l%{name}
ln -s lib%{name}%{majorver}.so %{buildroot}%{_libdir}/lib%{name}.so

mkdir -p $RPM_BUILD_ROOT/%{_includedir}/%{name}-private/{generic/ttk,unix}
find generic unix -name "*.h" -exec cp -p '{}' $RPM_BUILD_ROOT/%{_includedir}/%{name}-private/'{}' ';'
( cd $RPM_BUILD_ROOT/%{_includedir}
  for i in *.h ; do
    [ -f $RPM_BUILD_ROOT/%{_includedir}/%{name}-private/generic/$i ] && ln -sf ../../$i $RPM_BUILD_ROOT/%{_includedir}/%{name}-private/generic ;
  done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/%{name}-private|" $RPM_BUILD_ROOT/%{_libdir}/%{name}Config.sh
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{name}%{majorver}/tkAppInit.c
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{name}%{majorver}/prolog.ps

%clean
rm -rf %{buildroot}

%pre
[ ! -h %{_prefix}/%{_lib}/%{name}%{majorver} ] || rm %{_prefix}/%{_lib}/%{name}%{majorver}

%files
%defattr(-,root,root,-)
%{_bindir}/wish*
%{_datadir}/%{name}%{majorver}
%{_libdir}/lib%{name}%{majorver}.so
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}%{majorver}
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib%{name}stub%{majorver}.a
%{_libdir}/%{name}Config.sh
%{_mandir}/man3/*
